Bug #64373 MySQL ODBC Connector 5.1.10 will not install on Snow Leopard or Lion
Submitted: 18 Feb 2012 21:27 Modified: 31 Oct 2012 7:01
Reporter: Frank Arsenault Email Updates:
Status: Closed Impact on me:
None 
Category:Connector / ODBC Severity:S1 (Critical)
Version:5.1.10 OS:Mac OS X (10.5, 10.6, 10.7)
Assigned to: CPU Architecture:Any
Triage: Needs Triage: D1 (Critical)

[18 Feb 2012 21:27] Frank Arsenault
Description:
When I tried to install mysql-connector-odbc-5.1.10-osx10.6-x86-32bit.dmg on my iMac running OS 10.6.8, I got an "Installation Failed" message.

When I compared the Read Me description of the files to be installed with the files on my first generation MacPro running the same OS, the file structure was quite different, e.g., /usr/local/iODBC/bin/myodbc-installer. The libmyodbc5.* files were in /usr/local/lib/ but the libmyodbc3S.* files were nowhere to be found on the MacPro

After backing up the /usr/local folder, I tried installing the connector on the MacPro. It deleted the existing files but then "Installation Failed" leaving the ODBC connector disabled---actually non-existent. I restored the local folder with the copy, which re-enabled my connection. My working version is 5.1.9.

Another forum member reported the same problem.

How to repeat:
Install connector on Mac Snow Leopard or Lion
[19 Feb 2012 8:19] Valeriy Kravchuk
Same of 10.5.6 with 32-bit .dmg binaries. Message says that "postflight" script failed.
[24 Feb 2012 5:04] Valeriy Kravchuk
Bug #64440 was marked as a duplicate of this one.
[31 Oct 2012 7:01] Bogdan Degtyariov
Thank you for your bug report. This issue has already been fixed in the latest released version of that product, which you can download at

  http://www.mysql.com/downloads/